Skip to main content

Join a group channel

Add one or more users to a group channel. This operation does not require approval — users are added directly.

Request

POST: https://[Base URL](/platform-chat-api/base-url)/v4/group-channel/join

Rate limit: 100 per second

Signature: Required. See API request signature.

Request body

Content type: application/json

ParameterTypeRequiredDescription
channelIdStringYesGroup channel ID.
userIdsArrayYesArray of user IDs to add to the group. Max 100 users per request.

Request example

HTTP
POST /v4/group-channel/join HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json

{
"channelId": "groupId1",
"userIds": ["userId"]
}

Response

FieldTypeDescription
codeNumberReturn code. 0 indicates success. See Status codes.
channelIdStringGroup channel ID.
nameStringGroup name.
groupProfileJSONGroup basic information.
groupExtProfileJSONGroup extended information.
permissionsJSONGroup permission settings.
ownerStringChannel owner's user ID.
createdAtNumberTimestamp when the group was created.
memberCountNumberNumber of channel members.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 0,
"result": {
"channelId": "groupId1",
"createdAt": 1717717737377,
"owner": "userId1",
"name": "gName1",
"extra": "{\"ext_key1\":\"value1\",\"ext_key2\":\"value2\"}",
"memberCount": 10
}
}